IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network8.0.0.0/6
Usable hosts67,108,862
Subnet mask252.0.0.0
Addresses67,108,864
- Network address
8.0.0.0- Broadcast address
11.255.255.255- First usable
8.0.0.1- Last usable
11.255.255.254- Usable hosts
- 67,108,862 (67,108,864 less the network and broadcast addresses)
- Subnet mask
252.0.0.0- Wildcard mask
3.255.255.255(Cisco ACLs, OSPF)- Prefix length
- /6
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
08000000· Integer134217728to201326591 - Reverse DNS zones
8.in-addr.arpa9.in-addr.arpa10.in-addr.arpa11.in-addr.arpa
/6 is not on a 8-bit boundary, so it takes 4 /8 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00001000.00000000.00000000.00000000 | 8.0.0.0 |
| Subnet mask | 11111100.00000000.00000000.00000000 | 252.0.0.0 |
| Network | 00001000.00000000.00000000.00000000 | 8.0.0.0 |
| Broadcast | 00001011.11111111.11111111.11111111 | 11.255.255.255 |
Split into smaller subnets
/7 (2)/8 (4)/9 (8)/10 (16)/11 (32)/12 (64)/13 (128)/14 (256)/15 (512)/16 (1,024)/17 (2,048)/18 (4,096)
8.0.0.0/6 makes 2,048 subnets of /17; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 8.0.0.0/17 | 8.0.0.1 to 8.0.127.254 | 8.0.127.255 | 32,766 |
| 2 | 8.0.128.0/17 | 8.0.128.1 to 8.0.255.254 | 8.0.255.255 | 32,766 |
| 3 | 8.1.0.0/17 | 8.1.0.1 to 8.1.127.254 | 8.1.127.255 | 32,766 |
| 4 | 8.1.128.0/17 | 8.1.128.1 to 8.1.255.254 | 8.1.255.255 | 32,766 |
| 5 | 8.2.0.0/17 | 8.2.0.1 to 8.2.127.254 | 8.2.127.255 | 32,766 |
| 6 | 8.2.128.0/17 | 8.2.128.1 to 8.2.255.254 | 8.2.255.255 | 32,766 |
| 7 | 8.3.0.0/17 | 8.3.0.1 to 8.3.127.254 | 8.3.127.255 | 32,766 |
| 8 | 8.3.128.0/17 | 8.3.128.1 to 8.3.255.254 | 8.3.255.255 | 32,766 |
| 9 | 8.4.0.0/17 | 8.4.0.1 to 8.4.127.254 | 8.4.127.255 | 32,766 |
| 10 | 8.4.128.0/17 | 8.4.128.1 to 8.4.255.254 | 8.4.255.255 | 32,766 |
| 11 | 8.5.0.0/17 | 8.5.0.1 to 8.5.127.254 | 8.5.127.255 | 32,766 |
| 12 | 8.5.128.0/17 | 8.5.128.1 to 8.5.255.254 | 8.5.255.255 | 32,766 |
| 13 | 8.6.0.0/17 | 8.6.0.1 to 8.6.127.254 | 8.6.127.255 | 32,766 |
| 14 | 8.6.128.0/17 | 8.6.128.1 to 8.6.255.254 | 8.6.255.255 | 32,766 |
| 15 | 8.7.0.0/17 | 8.7.0.1 to 8.7.127.254 | 8.7.127.255 | 32,766 |
| 16 | 8.7.128.0/17 | 8.7.128.1 to 8.7.255.254 | 8.7.255.255 | 32,766 |
| 17 | 8.8.0.0/17 | 8.8.0.1 to 8.8.127.254 | 8.8.127.255 | 32,766 |
| 18 | 8.8.128.0/17 | 8.8.128.1 to 8.8.255.254 | 8.8.255.255 | 32,766 |
| 19 | 8.9.0.0/17 | 8.9.0.1 to 8.9.127.254 | 8.9.127.255 | 32,766 |
| 20 | 8.9.128.0/17 | 8.9.128.1 to 8.9.255.254 | 8.9.255.255 | 32,766 |
| 21 | 8.10.0.0/17 | 8.10.0.1 to 8.10.127.254 | 8.10.127.255 | 32,766 |
| 22 | 8.10.128.0/17 | 8.10.128.1 to 8.10.255.254 | 8.10.255.255 | 32,766 |
| 23 | 8.11.0.0/17 | 8.11.0.1 to 8.11.127.254 | 8.11.127.255 | 32,766 |
| 24 | 8.11.128.0/17 | 8.11.128.1 to 8.11.255.254 | 8.11.255.255 | 32,766 |
| 25 | 8.12.0.0/17 | 8.12.0.1 to 8.12.127.254 | 8.12.127.255 | 32,766 |
| 26 | 8.12.128.0/17 | 8.12.128.1 to 8.12.255.254 | 8.12.255.255 | 32,766 |
| 27 | 8.13.0.0/17 | 8.13.0.1 to 8.13.127.254 | 8.13.127.255 | 32,766 |
| 28 | 8.13.128.0/17 | 8.13.128.1 to 8.13.255.254 | 8.13.255.255 | 32,766 |
| 29 | 8.14.0.0/17 | 8.14.0.1 to 8.14.127.254 | 8.14.127.255 | 32,766 |
| 30 | 8.14.128.0/17 | 8.14.128.1 to 8.14.255.254 | 8.14.255.255 | 32,766 |
| 31 | 8.15.0.0/17 | 8.15.0.1 to 8.15.127.254 | 8.15.127.255 | 32,766 |
| 32 | 8.15.128.0/17 | 8.15.128.1 to 8.15.255.254 | 8.15.255.255 | 32,766 |
| 33 | 8.16.0.0/17 | 8.16.0.1 to 8.16.127.254 | 8.16.127.255 | 32,766 |
| 34 | 8.16.128.0/17 | 8.16.128.1 to 8.16.255.254 | 8.16.255.255 | 32,766 |
| 35 | 8.17.0.0/17 | 8.17.0.1 to 8.17.127.254 | 8.17.127.255 | 32,766 |
| 36 | 8.17.128.0/17 | 8.17.128.1 to 8.17.255.254 | 8.17.255.255 | 32,766 |
| 37 | 8.18.0.0/17 | 8.18.0.1 to 8.18.127.254 | 8.18.127.255 | 32,766 |
| 38 | 8.18.128.0/17 | 8.18.128.1 to 8.18.255.254 | 8.18.255.255 | 32,766 |
| 39 | 8.19.0.0/17 | 8.19.0.1 to 8.19.127.254 | 8.19.127.255 | 32,766 |
| 40 | 8.19.128.0/17 | 8.19.128.1 to 8.19.255.254 | 8.19.255.255 | 32,766 |
| 41 | 8.20.0.0/17 | 8.20.0.1 to 8.20.127.254 | 8.20.127.255 | 32,766 |
| 42 | 8.20.128.0/17 | 8.20.128.1 to 8.20.255.254 | 8.20.255.255 | 32,766 |
| 43 | 8.21.0.0/17 | 8.21.0.1 to 8.21.127.254 | 8.21.127.255 | 32,766 |
| 44 | 8.21.128.0/17 | 8.21.128.1 to 8.21.255.254 | 8.21.255.255 | 32,766 |
| 45 | 8.22.0.0/17 | 8.22.0.1 to 8.22.127.254 | 8.22.127.255 | 32,766 |
| 46 | 8.22.128.0/17 | 8.22.128.1 to 8.22.255.254 | 8.22.255.255 | 32,766 |
| 47 | 8.23.0.0/17 | 8.23.0.1 to 8.23.127.254 | 8.23.127.255 | 32,766 |
| 48 | 8.23.128.0/17 | 8.23.128.1 to 8.23.255.254 | 8.23.255.255 | 32,766 |
| 49 | 8.24.0.0/17 | 8.24.0.1 to 8.24.127.254 | 8.24.127.255 | 32,766 |
| 50 | 8.24.128.0/17 | 8.24.128.1 to 8.24.255.254 | 8.24.255.255 | 32,766 |
| 51 | 8.25.0.0/17 | 8.25.0.1 to 8.25.127.254 | 8.25.127.255 | 32,766 |
| 52 | 8.25.128.0/17 | 8.25.128.1 to 8.25.255.254 | 8.25.255.255 | 32,766 |
| 53 | 8.26.0.0/17 | 8.26.0.1 to 8.26.127.254 | 8.26.127.255 | 32,766 |
| 54 | 8.26.128.0/17 | 8.26.128.1 to 8.26.255.254 | 8.26.255.255 | 32,766 |
| 55 | 8.27.0.0/17 | 8.27.0.1 to 8.27.127.254 | 8.27.127.255 | 32,766 |
| 56 | 8.27.128.0/17 | 8.27.128.1 to 8.27.255.254 | 8.27.255.255 | 32,766 |
| 57 | 8.28.0.0/17 | 8.28.0.1 to 8.28.127.254 | 8.28.127.255 | 32,766 |
| 58 | 8.28.128.0/17 | 8.28.128.1 to 8.28.255.254 | 8.28.255.255 | 32,766 |
| 59 | 8.29.0.0/17 | 8.29.0.1 to 8.29.127.254 | 8.29.127.255 | 32,766 |
| 60 | 8.29.128.0/17 | 8.29.128.1 to 8.29.255.254 | 8.29.255.255 | 32,766 |
| 61 | 8.30.0.0/17 | 8.30.0.1 to 8.30.127.254 | 8.30.127.255 | 32,766 |
| 62 | 8.30.128.0/17 | 8.30.128.1 to 8.30.255.254 | 8.30.255.255 | 32,766 |
| 63 | 8.31.0.0/17 | 8.31.0.1 to 8.31.127.254 | 8.31.127.255 | 32,766 |
| 64 | 8.31.128.0/17 | 8.31.128.1 to 8.31.255.254 | 8.31.255.255 | 32,766 |
| 65 | 8.32.0.0/17 | 8.32.0.1 to 8.32.127.254 | 8.32.127.255 | 32,766 |
| 66 | 8.32.128.0/17 | 8.32.128.1 to 8.32.255.254 | 8.32.255.255 | 32,766 |
| 67 | 8.33.0.0/17 | 8.33.0.1 to 8.33.127.254 | 8.33.127.255 | 32,766 |
| 68 | 8.33.128.0/17 | 8.33.128.1 to 8.33.255.254 | 8.33.255.255 | 32,766 |
| 69 | 8.34.0.0/17 | 8.34.0.1 to 8.34.127.254 | 8.34.127.255 | 32,766 |
| 70 | 8.34.128.0/17 | 8.34.128.1 to 8.34.255.254 | 8.34.255.255 | 32,766 |
| 71 | 8.35.0.0/17 | 8.35.0.1 to 8.35.127.254 | 8.35.127.255 | 32,766 |
| 72 | 8.35.128.0/17 | 8.35.128.1 to 8.35.255.254 | 8.35.255.255 | 32,766 |
| 73 | 8.36.0.0/17 | 8.36.0.1 to 8.36.127.254 | 8.36.127.255 | 32,766 |
| 74 | 8.36.128.0/17 | 8.36.128.1 to 8.36.255.254 | 8.36.255.255 | 32,766 |
| 75 | 8.37.0.0/17 | 8.37.0.1 to 8.37.127.254 | 8.37.127.255 | 32,766 |
| 76 | 8.37.128.0/17 | 8.37.128.1 to 8.37.255.254 | 8.37.255.255 | 32,766 |
| 77 | 8.38.0.0/17 | 8.38.0.1 to 8.38.127.254 | 8.38.127.255 | 32,766 |
| 78 | 8.38.128.0/17 | 8.38.128.1 to 8.38.255.254 | 8.38.255.255 | 32,766 |
| 79 | 8.39.0.0/17 | 8.39.0.1 to 8.39.127.254 | 8.39.127.255 | 32,766 |
| 80 | 8.39.128.0/17 | 8.39.128.1 to 8.39.255.254 | 8.39.255.255 | 32,766 |
| 81 | 8.40.0.0/17 | 8.40.0.1 to 8.40.127.254 | 8.40.127.255 | 32,766 |
| 82 | 8.40.128.0/17 | 8.40.128.1 to 8.40.255.254 | 8.40.255.255 | 32,766 |
| 83 | 8.41.0.0/17 | 8.41.0.1 to 8.41.127.254 | 8.41.127.255 | 32,766 |
| 84 | 8.41.128.0/17 | 8.41.128.1 to 8.41.255.254 | 8.41.255.255 | 32,766 |
| 85 | 8.42.0.0/17 | 8.42.0.1 to 8.42.127.254 | 8.42.127.255 | 32,766 |
| 86 | 8.42.128.0/17 | 8.42.128.1 to 8.42.255.254 | 8.42.255.255 | 32,766 |
| 87 | 8.43.0.0/17 | 8.43.0.1 to 8.43.127.254 | 8.43.127.255 | 32,766 |
| 88 | 8.43.128.0/17 | 8.43.128.1 to 8.43.255.254 | 8.43.255.255 | 32,766 |
| 89 | 8.44.0.0/17 | 8.44.0.1 to 8.44.127.254 | 8.44.127.255 | 32,766 |
| 90 | 8.44.128.0/17 | 8.44.128.1 to 8.44.255.254 | 8.44.255.255 | 32,766 |
| 91 | 8.45.0.0/17 | 8.45.0.1 to 8.45.127.254 | 8.45.127.255 | 32,766 |
| 92 | 8.45.128.0/17 | 8.45.128.1 to 8.45.255.254 | 8.45.255.255 | 32,766 |
| 93 | 8.46.0.0/17 | 8.46.0.1 to 8.46.127.254 | 8.46.127.255 | 32,766 |
| 94 | 8.46.128.0/17 | 8.46.128.1 to 8.46.255.254 | 8.46.255.255 | 32,766 |
| 95 | 8.47.0.0/17 | 8.47.0.1 to 8.47.127.254 | 8.47.127.255 | 32,766 |
| 96 | 8.47.128.0/17 | 8.47.128.1 to 8.47.255.254 | 8.47.255.255 | 32,766 |
| 97 | 8.48.0.0/17 | 8.48.0.1 to 8.48.127.254 | 8.48.127.255 | 32,766 |
| 98 | 8.48.128.0/17 | 8.48.128.1 to 8.48.255.254 | 8.48.255.255 | 32,766 |
| 99 | 8.49.0.0/17 | 8.49.0.1 to 8.49.127.254 | 8.49.127.255 | 32,766 |
| 100 | 8.49.128.0/17 | 8.49.128.1 to 8.49.255.254 | 8.49.255.255 | 32,766 |
| 101 | 8.50.0.0/17 | 8.50.0.1 to 8.50.127.254 | 8.50.127.255 | 32,766 |
| 102 | 8.50.128.0/17 | 8.50.128.1 to 8.50.255.254 | 8.50.255.255 | 32,766 |
| 103 | 8.51.0.0/17 | 8.51.0.1 to 8.51.127.254 | 8.51.127.255 | 32,766 |
| 104 | 8.51.128.0/17 | 8.51.128.1 to 8.51.255.254 | 8.51.255.255 | 32,766 |
| 105 | 8.52.0.0/17 | 8.52.0.1 to 8.52.127.254 | 8.52.127.255 | 32,766 |
| 106 | 8.52.128.0/17 | 8.52.128.1 to 8.52.255.254 | 8.52.255.255 | 32,766 |
| 107 | 8.53.0.0/17 | 8.53.0.1 to 8.53.127.254 | 8.53.127.255 | 32,766 |
| 108 | 8.53.128.0/17 | 8.53.128.1 to 8.53.255.254 | 8.53.255.255 | 32,766 |
| 109 | 8.54.0.0/17 | 8.54.0.1 to 8.54.127.254 | 8.54.127.255 | 32,766 |
| 110 | 8.54.128.0/17 | 8.54.128.1 to 8.54.255.254 | 8.54.255.255 | 32,766 |
| 111 | 8.55.0.0/17 | 8.55.0.1 to 8.55.127.254 | 8.55.127.255 | 32,766 |
| 112 | 8.55.128.0/17 | 8.55.128.1 to 8.55.255.254 | 8.55.255.255 | 32,766 |
| 113 | 8.56.0.0/17 | 8.56.0.1 to 8.56.127.254 | 8.56.127.255 | 32,766 |
| 114 | 8.56.128.0/17 | 8.56.128.1 to 8.56.255.254 | 8.56.255.255 | 32,766 |
| 115 | 8.57.0.0/17 | 8.57.0.1 to 8.57.127.254 | 8.57.127.255 | 32,766 |
| 116 | 8.57.128.0/17 | 8.57.128.1 to 8.57.255.254 | 8.57.255.255 | 32,766 |
| 117 | 8.58.0.0/17 | 8.58.0.1 to 8.58.127.254 | 8.58.127.255 | 32,766 |
| 118 | 8.58.128.0/17 | 8.58.128.1 to 8.58.255.254 | 8.58.255.255 | 32,766 |
| 119 | 8.59.0.0/17 | 8.59.0.1 to 8.59.127.254 | 8.59.127.255 | 32,766 |
| 120 | 8.59.128.0/17 | 8.59.128.1 to 8.59.255.254 | 8.59.255.255 | 32,766 |
| 121 | 8.60.0.0/17 | 8.60.0.1 to 8.60.127.254 | 8.60.127.255 | 32,766 |
| 122 | 8.60.128.0/17 | 8.60.128.1 to 8.60.255.254 | 8.60.255.255 | 32,766 |
| 123 | 8.61.0.0/17 | 8.61.0.1 to 8.61.127.254 | 8.61.127.255 | 32,766 |
| 124 | 8.61.128.0/17 | 8.61.128.1 to 8.61.255.254 | 8.61.255.255 | 32,766 |
| 125 | 8.62.0.0/17 | 8.62.0.1 to 8.62.127.254 | 8.62.127.255 | 32,766 |
| 126 | 8.62.128.0/17 | 8.62.128.1 to 8.62.255.254 | 8.62.255.255 | 32,766 |
| 127 | 8.63.0.0/17 | 8.63.0.1 to 8.63.127.254 | 8.63.127.255 | 32,766 |
| 128 | 8.63.128.0/17 | 8.63.128.1 to 8.63.255.254 | 8.63.255.255 | 32,766 |
| 129 | 8.64.0.0/17 | 8.64.0.1 to 8.64.127.254 | 8.64.127.255 | 32,766 |
| 130 | 8.64.128.0/17 | 8.64.128.1 to 8.64.255.254 | 8.64.255.255 | 32,766 |
| 131 | 8.65.0.0/17 | 8.65.0.1 to 8.65.127.254 | 8.65.127.255 | 32,766 |
| 132 | 8.65.128.0/17 | 8.65.128.1 to 8.65.255.254 | 8.65.255.255 | 32,766 |
| 133 | 8.66.0.0/17 | 8.66.0.1 to 8.66.127.254 | 8.66.127.255 | 32,766 |
| 134 | 8.66.128.0/17 | 8.66.128.1 to 8.66.255.254 | 8.66.255.255 | 32,766 |
| 135 | 8.67.0.0/17 | 8.67.0.1 to 8.67.127.254 | 8.67.127.255 | 32,766 |
| 136 | 8.67.128.0/17 | 8.67.128.1 to 8.67.255.254 | 8.67.255.255 | 32,766 |
| 137 | 8.68.0.0/17 | 8.68.0.1 to 8.68.127.254 | 8.68.127.255 | 32,766 |
| 138 | 8.68.128.0/17 | 8.68.128.1 to 8.68.255.254 | 8.68.255.255 | 32,766 |
| 139 | 8.69.0.0/17 | 8.69.0.1 to 8.69.127.254 | 8.69.127.255 | 32,766 |
| 140 | 8.69.128.0/17 | 8.69.128.1 to 8.69.255.254 | 8.69.255.255 | 32,766 |
| 141 | 8.70.0.0/17 | 8.70.0.1 to 8.70.127.254 | 8.70.127.255 | 32,766 |
| 142 | 8.70.128.0/17 | 8.70.128.1 to 8.70.255.254 | 8.70.255.255 | 32,766 |
| 143 | 8.71.0.0/17 | 8.71.0.1 to 8.71.127.254 | 8.71.127.255 | 32,766 |
| 144 | 8.71.128.0/17 | 8.71.128.1 to 8.71.255.254 | 8.71.255.255 | 32,766 |
| 145 | 8.72.0.0/17 | 8.72.0.1 to 8.72.127.254 | 8.72.127.255 | 32,766 |
| 146 | 8.72.128.0/17 | 8.72.128.1 to 8.72.255.254 | 8.72.255.255 | 32,766 |
| 147 | 8.73.0.0/17 | 8.73.0.1 to 8.73.127.254 | 8.73.127.255 | 32,766 |
| 148 | 8.73.128.0/17 | 8.73.128.1 to 8.73.255.254 | 8.73.255.255 | 32,766 |
| 149 | 8.74.0.0/17 | 8.74.0.1 to 8.74.127.254 | 8.74.127.255 | 32,766 |
| 150 | 8.74.128.0/17 | 8.74.128.1 to 8.74.255.254 | 8.74.255.255 | 32,766 |
| 151 | 8.75.0.0/17 | 8.75.0.1 to 8.75.127.254 | 8.75.127.255 | 32,766 |
| 152 | 8.75.128.0/17 | 8.75.128.1 to 8.75.255.254 | 8.75.255.255 | 32,766 |
| 153 | 8.76.0.0/17 | 8.76.0.1 to 8.76.127.254 | 8.76.127.255 | 32,766 |
| 154 | 8.76.128.0/17 | 8.76.128.1 to 8.76.255.254 | 8.76.255.255 | 32,766 |
| 155 | 8.77.0.0/17 | 8.77.0.1 to 8.77.127.254 | 8.77.127.255 | 32,766 |
| 156 | 8.77.128.0/17 | 8.77.128.1 to 8.77.255.254 | 8.77.255.255 | 32,766 |
| 157 | 8.78.0.0/17 | 8.78.0.1 to 8.78.127.254 | 8.78.127.255 | 32,766 |
| 158 | 8.78.128.0/17 | 8.78.128.1 to 8.78.255.254 | 8.78.255.255 | 32,766 |
| 159 | 8.79.0.0/17 | 8.79.0.1 to 8.79.127.254 | 8.79.127.255 | 32,766 |
| 160 | 8.79.128.0/17 | 8.79.128.1 to 8.79.255.254 | 8.79.255.255 | 32,766 |
| 161 | 8.80.0.0/17 | 8.80.0.1 to 8.80.127.254 | 8.80.127.255 | 32,766 |
| 162 | 8.80.128.0/17 | 8.80.128.1 to 8.80.255.254 | 8.80.255.255 | 32,766 |
| 163 | 8.81.0.0/17 | 8.81.0.1 to 8.81.127.254 | 8.81.127.255 | 32,766 |
| 164 | 8.81.128.0/17 | 8.81.128.1 to 8.81.255.254 | 8.81.255.255 | 32,766 |
| 165 | 8.82.0.0/17 | 8.82.0.1 to 8.82.127.254 | 8.82.127.255 | 32,766 |
| 166 | 8.82.128.0/17 | 8.82.128.1 to 8.82.255.254 | 8.82.255.255 | 32,766 |
| 167 | 8.83.0.0/17 | 8.83.0.1 to 8.83.127.254 | 8.83.127.255 | 32,766 |
| 168 | 8.83.128.0/17 | 8.83.128.1 to 8.83.255.254 | 8.83.255.255 | 32,766 |
| 169 | 8.84.0.0/17 | 8.84.0.1 to 8.84.127.254 | 8.84.127.255 | 32,766 |
| 170 | 8.84.128.0/17 | 8.84.128.1 to 8.84.255.254 | 8.84.255.255 | 32,766 |
| 171 | 8.85.0.0/17 | 8.85.0.1 to 8.85.127.254 | 8.85.127.255 | 32,766 |
| 172 | 8.85.128.0/17 | 8.85.128.1 to 8.85.255.254 | 8.85.255.255 | 32,766 |
| 173 | 8.86.0.0/17 | 8.86.0.1 to 8.86.127.254 | 8.86.127.255 | 32,766 |
| 174 | 8.86.128.0/17 | 8.86.128.1 to 8.86.255.254 | 8.86.255.255 | 32,766 |
| 175 | 8.87.0.0/17 | 8.87.0.1 to 8.87.127.254 | 8.87.127.255 | 32,766 |
| 176 | 8.87.128.0/17 | 8.87.128.1 to 8.87.255.254 | 8.87.255.255 | 32,766 |
| 177 | 8.88.0.0/17 | 8.88.0.1 to 8.88.127.254 | 8.88.127.255 | 32,766 |
| 178 | 8.88.128.0/17 | 8.88.128.1 to 8.88.255.254 | 8.88.255.255 | 32,766 |
| 179 | 8.89.0.0/17 | 8.89.0.1 to 8.89.127.254 | 8.89.127.255 | 32,766 |
| 180 | 8.89.128.0/17 | 8.89.128.1 to 8.89.255.254 | 8.89.255.255 | 32,766 |
| 181 | 8.90.0.0/17 | 8.90.0.1 to 8.90.127.254 | 8.90.127.255 | 32,766 |
| 182 | 8.90.128.0/17 | 8.90.128.1 to 8.90.255.254 | 8.90.255.255 | 32,766 |
| 183 | 8.91.0.0/17 | 8.91.0.1 to 8.91.127.254 | 8.91.127.255 | 32,766 |
| 184 | 8.91.128.0/17 | 8.91.128.1 to 8.91.255.254 | 8.91.255.255 | 32,766 |
| 185 | 8.92.0.0/17 | 8.92.0.1 to 8.92.127.254 | 8.92.127.255 | 32,766 |
| 186 | 8.92.128.0/17 | 8.92.128.1 to 8.92.255.254 | 8.92.255.255 | 32,766 |
| 187 | 8.93.0.0/17 | 8.93.0.1 to 8.93.127.254 | 8.93.127.255 | 32,766 |
| 188 | 8.93.128.0/17 | 8.93.128.1 to 8.93.255.254 | 8.93.255.255 | 32,766 |
| 189 | 8.94.0.0/17 | 8.94.0.1 to 8.94.127.254 | 8.94.127.255 | 32,766 |
| 190 | 8.94.128.0/17 | 8.94.128.1 to 8.94.255.254 | 8.94.255.255 | 32,766 |
| 191 | 8.95.0.0/17 | 8.95.0.1 to 8.95.127.254 | 8.95.127.255 | 32,766 |
| 192 | 8.95.128.0/17 | 8.95.128.1 to 8.95.255.254 | 8.95.255.255 | 32,766 |
| 193 | 8.96.0.0/17 | 8.96.0.1 to 8.96.127.254 | 8.96.127.255 | 32,766 |
| 194 | 8.96.128.0/17 | 8.96.128.1 to 8.96.255.254 | 8.96.255.255 | 32,766 |
| 195 | 8.97.0.0/17 | 8.97.0.1 to 8.97.127.254 | 8.97.127.255 | 32,766 |
| 196 | 8.97.128.0/17 | 8.97.128.1 to 8.97.255.254 | 8.97.255.255 | 32,766 |
| 197 | 8.98.0.0/17 | 8.98.0.1 to 8.98.127.254 | 8.98.127.255 | 32,766 |
| 198 | 8.98.128.0/17 | 8.98.128.1 to 8.98.255.254 | 8.98.255.255 | 32,766 |
| 199 | 8.99.0.0/17 | 8.99.0.1 to 8.99.127.254 | 8.99.127.255 | 32,766 |
| 200 | 8.99.128.0/17 | 8.99.128.1 to 8.99.255.254 | 8.99.255.255 | 32,766 |
| 201 | 8.100.0.0/17 | 8.100.0.1 to 8.100.127.254 | 8.100.127.255 | 32,766 |
| 202 | 8.100.128.0/17 | 8.100.128.1 to 8.100.255.254 | 8.100.255.255 | 32,766 |
| 203 | 8.101.0.0/17 | 8.101.0.1 to 8.101.127.254 | 8.101.127.255 | 32,766 |
| 204 | 8.101.128.0/17 | 8.101.128.1 to 8.101.255.254 | 8.101.255.255 | 32,766 |
| 205 | 8.102.0.0/17 | 8.102.0.1 to 8.102.127.254 | 8.102.127.255 | 32,766 |
| 206 | 8.102.128.0/17 | 8.102.128.1 to 8.102.255.254 | 8.102.255.255 | 32,766 |
| 207 | 8.103.0.0/17 | 8.103.0.1 to 8.103.127.254 | 8.103.127.255 | 32,766 |
| 208 | 8.103.128.0/17 | 8.103.128.1 to 8.103.255.254 | 8.103.255.255 | 32,766 |
| 209 | 8.104.0.0/17 | 8.104.0.1 to 8.104.127.254 | 8.104.127.255 | 32,766 |
| 210 | 8.104.128.0/17 | 8.104.128.1 to 8.104.255.254 | 8.104.255.255 | 32,766 |
| 211 | 8.105.0.0/17 | 8.105.0.1 to 8.105.127.254 | 8.105.127.255 | 32,766 |
| 212 | 8.105.128.0/17 | 8.105.128.1 to 8.105.255.254 | 8.105.255.255 | 32,766 |
| 213 | 8.106.0.0/17 | 8.106.0.1 to 8.106.127.254 | 8.106.127.255 | 32,766 |
| 214 | 8.106.128.0/17 | 8.106.128.1 to 8.106.255.254 | 8.106.255.255 | 32,766 |
| 215 | 8.107.0.0/17 | 8.107.0.1 to 8.107.127.254 | 8.107.127.255 | 32,766 |
| 216 | 8.107.128.0/17 | 8.107.128.1 to 8.107.255.254 | 8.107.255.255 | 32,766 |
| 217 | 8.108.0.0/17 | 8.108.0.1 to 8.108.127.254 | 8.108.127.255 | 32,766 |
| 218 | 8.108.128.0/17 | 8.108.128.1 to 8.108.255.254 | 8.108.255.255 | 32,766 |
| 219 | 8.109.0.0/17 | 8.109.0.1 to 8.109.127.254 | 8.109.127.255 | 32,766 |
| 220 | 8.109.128.0/17 | 8.109.128.1 to 8.109.255.254 | 8.109.255.255 | 32,766 |
| 221 | 8.110.0.0/17 | 8.110.0.1 to 8.110.127.254 | 8.110.127.255 | 32,766 |
| 222 | 8.110.128.0/17 | 8.110.128.1 to 8.110.255.254 | 8.110.255.255 | 32,766 |
| 223 | 8.111.0.0/17 | 8.111.0.1 to 8.111.127.254 | 8.111.127.255 | 32,766 |
| 224 | 8.111.128.0/17 | 8.111.128.1 to 8.111.255.254 | 8.111.255.255 | 32,766 |
| 225 | 8.112.0.0/17 | 8.112.0.1 to 8.112.127.254 | 8.112.127.255 | 32,766 |
| 226 | 8.112.128.0/17 | 8.112.128.1 to 8.112.255.254 | 8.112.255.255 | 32,766 |
| 227 | 8.113.0.0/17 | 8.113.0.1 to 8.113.127.254 | 8.113.127.255 | 32,766 |
| 228 | 8.113.128.0/17 | 8.113.128.1 to 8.113.255.254 | 8.113.255.255 | 32,766 |
| 229 | 8.114.0.0/17 | 8.114.0.1 to 8.114.127.254 | 8.114.127.255 | 32,766 |
| 230 | 8.114.128.0/17 | 8.114.128.1 to 8.114.255.254 | 8.114.255.255 | 32,766 |
| 231 | 8.115.0.0/17 | 8.115.0.1 to 8.115.127.254 | 8.115.127.255 | 32,766 |
| 232 | 8.115.128.0/17 | 8.115.128.1 to 8.115.255.254 | 8.115.255.255 | 32,766 |
| 233 | 8.116.0.0/17 | 8.116.0.1 to 8.116.127.254 | 8.116.127.255 | 32,766 |
| 234 | 8.116.128.0/17 | 8.116.128.1 to 8.116.255.254 | 8.116.255.255 | 32,766 |
| 235 | 8.117.0.0/17 | 8.117.0.1 to 8.117.127.254 | 8.117.127.255 | 32,766 |
| 236 | 8.117.128.0/17 | 8.117.128.1 to 8.117.255.254 | 8.117.255.255 | 32,766 |
| 237 | 8.118.0.0/17 | 8.118.0.1 to 8.118.127.254 | 8.118.127.255 | 32,766 |
| 238 | 8.118.128.0/17 | 8.118.128.1 to 8.118.255.254 | 8.118.255.255 | 32,766 |
| 239 | 8.119.0.0/17 | 8.119.0.1 to 8.119.127.254 | 8.119.127.255 | 32,766 |
| 240 | 8.119.128.0/17 | 8.119.128.1 to 8.119.255.254 | 8.119.255.255 | 32,766 |
| 241 | 8.120.0.0/17 | 8.120.0.1 to 8.120.127.254 | 8.120.127.255 | 32,766 |
| 242 | 8.120.128.0/17 | 8.120.128.1 to 8.120.255.254 | 8.120.255.255 | 32,766 |
| 243 | 8.121.0.0/17 | 8.121.0.1 to 8.121.127.254 | 8.121.127.255 | 32,766 |
| 244 | 8.121.128.0/17 | 8.121.128.1 to 8.121.255.254 | 8.121.255.255 | 32,766 |
| 245 | 8.122.0.0/17 | 8.122.0.1 to 8.122.127.254 | 8.122.127.255 | 32,766 |
| 246 | 8.122.128.0/17 | 8.122.128.1 to 8.122.255.254 | 8.122.255.255 | 32,766 |
| 247 | 8.123.0.0/17 | 8.123.0.1 to 8.123.127.254 | 8.123.127.255 | 32,766 |
| 248 | 8.123.128.0/17 | 8.123.128.1 to 8.123.255.254 | 8.123.255.255 | 32,766 |
| 249 | 8.124.0.0/17 | 8.124.0.1 to 8.124.127.254 | 8.124.127.255 | 32,766 |
| 250 | 8.124.128.0/17 | 8.124.128.1 to 8.124.255.254 | 8.124.255.255 | 32,766 |
| 251 | 8.125.0.0/17 | 8.125.0.1 to 8.125.127.254 | 8.125.127.255 | 32,766 |
| 252 | 8.125.128.0/17 | 8.125.128.1 to 8.125.255.254 | 8.125.255.255 | 32,766 |
| 253 | 8.126.0.0/17 | 8.126.0.1 to 8.126.127.254 | 8.126.127.255 | 32,766 |
| 254 | 8.126.128.0/17 | 8.126.128.1 to 8.126.255.254 | 8.126.255.255 | 32,766 |
| 255 | 8.127.0.0/17 | 8.127.0.1 to 8.127.127.254 | 8.127.127.255 | 32,766 |
| 256 | 8.127.128.0/17 | 8.127.128.1 to 8.127.255.254 | 8.127.255.255 | 32,766 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |